org.jgrapht

## Interface UndirectedGraph<V,E>

- All Superinterfaces:
    Graph<V,E>
  All Known Implementing Classes:
    AsUndirectedGraph, BlockCutpointGraph, ListenableUndirectedGraph, ListenableUndirectedWeightedGraph, Multigraph, Pseudograph, SimpleGraph, SimpleWeightedGraph, UndirectedGraphUnion, UndirectedMaskSubgraph, UndirectedSubgraph, UndirectedWeightedSubgraph, UnmodifiableUndirectedGraph, WeightedMultigraph, WeightedPseudograph

      public interface UndirectedGraph<V,E>
      extends Graph<V,E>

  A graph whose all edges are undirected. This is the root interface of all undirected graphs.

  See http://mathworld.wolfram.com/Graph.html for more on undirected and on directed graphs.

  Since:
    Jul 14, 2003
  Author:
    Barak Naveh

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `degreeOf(V vertex)` Returns the degree of the specified vertex.

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Method Detail

    - #### degreeOf

          int degreeOf(V vertex)

      Returns the degree of the specified vertex. A degree of a vertex in an undirected graph is the number of edges touching that vertex.
      Parameters:
        `vertex` - vertex whose degree is to be calculated.
      Returns:
        the degree of the specified vertex.

Copyright © 2016. All rights reserved.